MailcrateDocs
Deliveries

List a delivery's events

GET
/public/delivery/{id}/events

Requires the delivery:read scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

id*string

Query Parameters

limit?integer
Range1 <= value <= 500
Default50
offset?integer
Range0 <= value
Default0
page?integer
Range1 <= value
sortBy?string
sortOrder?string
Value in"ASC""DESC"

Response Body

A page of results.

application/json
  1. response
data*array<>
total*integer

Matches across all pages.

limit*integer
offset*integer

The offset actually applied, also when you paginated with page.

Example Request
curl -X GET 'https://api.mailcrate.io/public/delivery/string/events' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "data": [    {      "id": "string",      "event": "clicked",      "eventType": "string",      "messageId": "string",      "eventData": {},      "clickedUrl": "string",      "occurredAt": "2019-08-24T14:15:22Z",      "isSuspectedBot": true,      "classification": "automated-client",      "classificationReason": "string",      "classifierVersion": "string"    }  ],  "total": 0,  "limit": 0,  "offset": 0}